std::swap(std::basic_ofstream)(3)

NAME
std::swap(std::basic_ofstream) - std::swap(std::basic_ofstream)

Synopsis
   template< class CharT, class Traits >
   void swap( basic_ofstream<CharT,Traits> &lhs, basic_ofstream<CharT,Traits> &rhs );
   Specializes the std::swap algorithm for std::basic_ofstream. Exchanges the state of
   lhs with that of rhs. Effectively calls lhs.swap(rhs).

Parameters
   lhs, rhs - streams whose state to swap

Return value
   (none)

Exceptions
   May throw implementation-defined exceptions.

Example
    This section is incomplete
    Reason: no example

See also
   swap swaps two file streams
   (C++11) (public member function)